Bug 154472

Summary: [css-grid] Swap columns and rows in grid-template shorthand
Product: WebKit Reporter: Manuel Rego Casasnovas <rego>
Component: CSSAssignee: Manuel Rego Casasnovas <rego>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, jfernandez, rego, svillar
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 60731, 154915    
Attachments:
Description Flags
Patch
none
Patch none

Description Manuel Rego Casasnovas 2016-02-19 14:29:06 PST
[css-grid] Swap columns and rows in grid-template shorthand
Comment 1 Manuel Rego Casasnovas 2016-02-19 14:29:42 PST
Created attachment 271801 [details]
Patch
Comment 2 Manuel Rego Casasnovas 2016-02-19 14:31:11 PST
This is a patch ported from Blink:
https://crrev.com/3d6b5d3df0a988475328dc5a4aabce5c4f4aa211
Comment 3 Darin Adler 2016-02-21 17:32:56 PST
Comment on attachment 271801 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=271801&action=review

> Source/WebCore/css/CSSParser.cpp:5567
> +    if (RefPtr<CSSValue> columnsValue = parseGridTrackList()) {

I think auto is better here than naming the type.

> Source/WebCore/css/CSSParser.cpp:5659
> +    RefPtr<CSSValue> rowsValue = nullptr;

No need for the "= nullptr" here.

1) All new RefPtr objects are null.
2) All code paths below initialize rowsValue anyway.

> Source/WebCore/css/CSSParser.cpp:5666
> +        RefPtr<CSSValue> columnsValue = parseGridTemplateColumns();

I would  prefer auto here to naming the type.
Comment 4 Manuel Rego Casasnovas 2016-02-22 05:22:12 PST
Created attachment 271917 [details]
Patch
Comment 5 WebKit Commit Bot 2016-02-22 06:08:38 PST
Comment on attachment 271917 [details]
Patch

Clearing flags on attachment: 271917

Committed r196934: <http://trac.webkit.org/changeset/196934>
Comment 6 WebKit Commit Bot 2016-02-22 06:08:42 PST
All reviewed patches have been landed.  Closing bug.